<?php

/**
 * 主题平滑升级 
 */
if(!defined('THEME_NAME')) die('非法访问 - Insufficient Permissions');

function mk_theme_update()
{
    $theme_version = get_option(THEME_SLUG . '_theme_version');
    if($theme_version >= THEME_VERSION) return;
    
    $update = array(
        'theme_version' => THEME_VERSION
    );
    
    if($theme_version < 1.7) {
        $update = array_merge($update, array(
            'gravatar_api'  => 'https://cn.gravatar.com/avatar/',
            'gravatar_guide'=> 'https://mkblog.cn/695/',
            'favicon_api'   => 'https://f.ydr.me/'
        ));
    }
    
    if($theme_version < 1.8) {
        $update = array_merge($update, array(
            'auto_hide_nav' => true
        ));
        
        if(get_option(THEME_SLUG . '_article_share')) {
            $update = array_merge($update, array(
                'article_share' => 'auto_hide'
            ));
        }
        
        if(get_option(THEME_SLUG . '_article_menu')) {
            $update = array_merge($update, array(
                'article_menu' => 'auto_hide'
            ));
        }
    }
    
    if($theme_version < 2) {
        $update['font_size'] = 100;
        $update['get_qq_info'] = true;
        $update['code_highlight'] = true;
        $update['article_thumbnail_types'] = 'thumbnail';
    }
    
    foreach($update as $key => $val) {
        update_option(THEME_SLUG . '_' . $key, $val);
    }
    
}
add_action('admin_head', 'mk_theme_update');